(text "{% extends \"root.lisp\" %} {% block head %}")
(title
    (text "{{ entry.slug }}"))
(text "{% endblock %} {% block body %}")
(div
    ("class" "flex flex-col gap-2")
    (div
        ("class" "card")
        ("style" "min-height: 15rem")
        (text "{{ entry.content|markdown|safe }}"))
    (div
        ("class" "w-full flex justify-between gap-2")
        (a
            ("class" "button")
            ("href" "/{{ entry.slug }}/edit")
            (text "Edit"))

        (div
            ("class" "flex flex-col gap-1 items-end fade")
            (span (text "Pub: {{ entry.created / 1000|int|date(format=\"%Y-%m-%d %H:%M\", timezone=\"Etc/UTC\") }} UTC"))
            (span (text "Edit: {{ entry.edited / 1000|int|date(format=\"%Y-%m-%d %H:%M\", timezone=\"Etc/UTC\") }} UTC"))
            (span (text "Views: {{ views }}")))))

(link ("rel" "stylesheet") ("href" "https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.11.1/styles/default.min.css"))
(script ("src" "https://cdnjs.cloudflare.com/ajax/libs/highlight.js/11.11.1/highlight.min.js"))
(script (text "hljs.highlightAll();"))

(text "{{ components::footer() }}")
(text "{% endblock %}")
